# Ogre::D3D9HLSLProgram::CmdTarget Class Reference

Command object for setting target assembler. More...

`#include <OgreD3D9HLSLProgram.h>`

Inheritance diagram for Ogre::D3D9HLSLProgram::CmdTarget:

List of all members.

## Public Member Functions

String | doGet (const void *target) const
void | doSet (void *target, const String &val)

## Detailed Description

Command object for setting target assembler.

Definition at line 51 of file OgreD3D9HLSLProgram.h.

## Member Function Documentation

String Ogre::D3D9HLSLProgram::CmdTarget::doGet | ( | const void * | target | ) | const`[virtual]`

| Implements Ogre::ParamCommand.

void Ogre::D3D9HLSLProgram::CmdTarget::doSet | ( | void * | target,
|  | const String & | val
| ) | `[virtual]`

| Implements Ogre::ParamCommand.

The documentation for this class was generated from the following file:

- OgreD3D9HLSLProgram.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:45:17 2005